Bug 1479361 - OPS Tools | Availability Monitoring | some API oschecks doesn't work with the latest python-openstackclient.
OPS Tools | Availability Monitoring | some API oschecks doesn't work with the...
Product: Red Hat OpenStack
Classification: Red Hat
Component: sensu (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity high
: z4
: 11.0 (Ocata)
Assigned To: Martin Magr
Leonid Natapov
: Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2017-08-08 08:37 EDT by Leonid Natapov
Modified: 2018-02-13 11:13 EST (History)
5 users (show)

See Also:
Fixed In Version: osops-tools-monitoring-oschecks-0.1-0.10.62160d1git.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-13 11:13:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 493771 None None None 2017-08-15 03:32 EDT
OpenStack gerrit 493864 None None None 2017-08-15 09:00 EDT
OpenStack gerrit 494207 None None None 2017-08-16 09:42 EDT

  None (edit)
Description Leonid Natapov 2017-08-08 08:37:16 EDT
OPS Tools | Availability Monitoring | some API oschecks doesn't work with the latest python-openstackclient. 

checked with OSP11 Zstream and python-openstackclient-3.8.1-1.el7ost.noarch.


[root@controller-0 checks]# ./oschecks-check_nova_api
CRITICAL: The request you have made requires authentication. (HTTP 401) (Request-ID: req-67541fd7-60cc-48b2-9271-fa01dccea7b1)


[root@controller-0 checks]# ./oschecks-check_glance_api
CRITICAL: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/oschecks/utils.py", line 111, in safe_run
  File "/usr/lib/python2.7/site-packages/oschecks/glance.py", line 26, in _check_glance_api
    glance = utils.Glance()
  File "/usr/lib/python2.7/site-packages/oschecks/utils.py", line 164, in __init__
    self.glance.parser = self.glance.get_base_parser()
TypeError: get_base_parser() takes exactly 2 arguments (1 given)

 3. Also ceilometer check (ceilometer doesn't exist in osp11) gives a traceback and we prefer to give appropriate error instead of traceback.

[root@controller-0 checks]# ./oschecks-check_ceilometer_api
Traceback (most recent call last):
  File "./oschecks-check_ceilometer_api", line 6, in <module>
    from oschecks.ceilometer import check_ceilometer_api
  File "/usr/lib/python2.7/site-packages/oschecks/ceilometer.py", line 26, in <module>
    from ceilometerclient.openstack.common.apiclient import exceptions
ImportError: No module named openstack.common.apiclient
Comment 1 Martin Magr 2017-08-15 03:32:13 EDT
Fix for glance checks is ready.
Comment 2 Martin Magr 2017-08-15 09:00:28 EDT
Fix for nova checks is ready.
Comment 3 Martin Magr 2017-08-16 09:42:18 EDT
Fix for ceilometer api check is ready.
Comment 4 Martin Magr 2017-09-04 08:50:42 EDT
Patches have been merged.
Comment 9 Leonid Natapov 2018-02-05 12:10:04 EST

nova and ceilometer are ok. Glance API check and Upload images has some issues. Will file different bug
Comment 12 errata-xmlrpc 2018-02-13 11:13:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.